Class::DBI::Column(3)

NAME
Class::DBI::Column - A column in a table

SYNOPSIS
        my $column = Class::DBI::Column->new($name);

        my $name  = $column->name;

        my @groups = $column->groups;
        my $pri_col = $colg->primary;

        if ($column->in_database) { ... }

DESCRIPTION
Each Class::DBI class maintains a list of its columns as class data. This provides an interface to those columns. You probably shouldn't be dealing with this directly.

METHODS

  new
        my $column = Class::DBI::Column->new($column)

A new object for this column.